/*
Theme Name:   Xstore child
Theme URI:    https://xstore.8theme.com
Description:  XStore is a multi-purpose theme that offers the ultimate WordPress and WooCommerce synergy, providing a comprehensive, all-in-one solution.
Author:       8theme
Author URI:   https://www.8theme.com
Template:     xstore
Version:      1.0
Text Domain:  xstore-child
Tags: e-commerce, two-columns, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, custom-logo, featured-images, full-width-template, threaded-comments, accessibility-ready, rtl-language-support, footer-widgets, sticky-post, theme-options, translation-ready, ecommerce, woocommerce, shop, elementor, business, corporate, blog, news, light, dark
*/
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

#dynamic-post-filter {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px 0px 20px 0px;
}

#dynamic-filter-form {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
}

#dynamic-filter-form select,
#dynamic-filter-form input[type="text"] {
    padding: 5px;
    width:100%;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 5px;
}

#posts-container {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.xstore-post-item {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    flex: 1 1 calc(33.333% - 20px);
    display: flex;
    flex-direction: column;
    text-align: left;
    max-width:376px;
}
.xstore-post-thumbnail {
    overflow: hidden;
    position: relative;
}

.xstore-post-thumbnail img {
    width: 100%;
    height: 200px;
    object-fit: cover;
       transition: all 0.3s linear;
}

.xstore-post-thumbnail:hover img {
    transform: scale(1.1);
}
/*.post-thumbnail img {*/
/*    width: 100%;*/
/*    height: 200px;*/
/*    object-fit: cover;*/
/*    border-bottom: 1px solid #ddd;*/
/*}*/
.xstore-post-content{
    padding: 0px 10px 30px 20px;
}
.xstore-post-item .xstore-post-content h3 {
    font-size: 24px;
    font-weight: 700;
    color: #182440;
    margin: 20px 0px 15px 0px;
    font-family: "DM Sans", sans-serif;
    line-height:29px;
}

.xstore-post-item .xstore-post-content p {
    font-family: "Inter", sans-serif;
    font-size: 16px;
    color: #182440;
    margin: 0px 0px 15px 0px;
    line-height:23px;
    font-weight: 400;
}

.xstore-post-item .xstore-post-content .read-more {
    font-size: 14px;
    color: #007bff;
    font-weight: 600;
    text-decoration: none;
    display: inline-block;
    margin: 0;
    width: 22%;
}

.xstore-post-item .xstore-post-content .read-more:hover {
    color: #0056b3;
}







.search_blog .elementor-widget-container {
    max-width: 360px;
    background: #FFF;
    padding: 20px;
    border-radius: 10px;
}

.search_blog .elementor-widget-container form.e-search-form {
    flex-wrap: wrap;
    align-items: center;
    border-bottom: 1.5px solid #182440;
}
.search_blog .elementor-widget-container label.e-search-label {
    flex: 1 0 100%;
}
.search_blog .elementor-widget-container span.elementor-screen-only {
    position: static;
    width: auto;
    height: auto;
    margin: 0;
    clip: unset;
    font-size: 20px;
    font-weight: 500;
    color:#182440;
}
.search_blog .elementor-widget-container .e-search-input-wrapper .e-search-input {
    border: none;
    padding-left: 0;
}
.search_blog .elementor-widget-container .e-search-submit{
    background-color: #FFFFFF;
    border-style: none;
    min-height: 56px;
    padding: 0;
}

.portfolio_filter_search{
    display: grid;
    grid-template-columns: repeat(3, minmax(100px, 1fr));
    grid-gap: 20px 30px;
    margin-bottom: 30px;
}
.portfolio_filter {
    background: #FFF;
    padding: 20px;
    border-radius: 10px;
}
.portfolio_filter label {
    font-size: 20px;
    font-weight: 500;
    color: #182440;
}
.portfolio_filter select{
    border: none;
    border-bottom: 1.5px solid #182440;
    appearance: none; /* Remove default styles */
    -webkit-appearance: none; /* Safari */
    -moz-appearance: none; 
    position: relative;
    background-image: url('images/Vector.svg');
    background-size: 20px;
    width: 100%;
    cursor: pointer;
}
.pf_search_form{
    flex-wrap: wrap;
    align-items: center;
    border-bottom: 1.5px solid #182440;
    display: flex;
}
.pf_search_form_input{
    display: flex;
    flex: 1;
    flex-direction: column;
    position: relative;
}
.pf_search_form_input input{
    border: none;
    padding-left: 0;
}
.pf_search_form .e-search-submit  {
    background-color: #FFFFFF;
    border-style: none;
    padding: 0;
}
.pf_clear {
    text-align: right;
}
.clear_filters_button {
    background-color: #628EFC;
    font-size: 18px;
    font-weight: 500;
    border-radius: 8px 8px 8px 8px;
    border: none;
    padding: 10px;
    color: #FFF;
}

.search_blog .elementor-widget-container {
    max-width: 360px;
    background: #FFF;
    padding: 20px;
    border-radius: 10px;
}

.search_blog .elementor-widget-container form.e-search-form {
    flex-wrap: wrap;
    align-items: center;
    border-bottom: 1.5px solid #182440;
}
.search_blog .elementor-widget-container label.e-search-label {
    flex: 1 0 100%;
}
.search_blog .elementor-widget-container span.elementor-screen-only {
    position: static;
    width: auto;
    height: auto;
    margin: 0;
    clip: unset;
    font-size: 20px;
    font-weight: 500;
    color:#182440;
}
.search_blog .elementor-widget-container .e-search-input-wrapper .e-search-input {
    border: none;
    padding-left: 0;
}
.search_blog .elementor-widget-container .e-search-submit{
    background-color: #FFFFFF;
    border-style: none;
    min-height: 56px;
    padding: 0;
}
.etheme-post.etheme_portfolio{border-top:none !important; padding-top:20px; position: relative;}
body:not(.home) .etheme-post.etheme_portfolio{border-top:none !important; }
.etheme-post.etheme_portfolio:before {
    content: "";
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    background: #182440;
    border-radius: 10px 10px 0 0 !important;
    z-index: 10;
}

.page-id-4273 .etheme-post{border-top:none !important; padding-top:20px; position: relative;}
.page-id-4273 .etheme-post:before {
    content: "";
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    background: #182440;
    border-radius: 10px 10px 0 0 !important;
    z-index: 10;
}

.home .etheme-post.etheme_portfolio{padding-top:0;}
.home .etheme-post.etheme_portfolio:before {
	display:none;
}
.home .etheme-post.etheme_portfolio .etheme-post-image-wrapper{
 	border-top: 20px solid #182440 !important;
    border-radius: 10px 10px 0 0 !important;
}
.etheme-post.type-etheme_portfolio .etheme-post-image-wrapper{
/* 	border-top: 20px solid #182440 !important;
    border-radius: 10px 10px 0 0 !important; */
}
/* .etheme-post.type-etheme_portfolio{
    border: none !important;
    border-top: 20px solid #182440 !important;
    border-radius: 10px 10px 0 0 !important;
} */
.etheme-post-image-inner{
	border-radius:0 !important;
}
article.etheme-post.format-standard{
    border: none !important;
    border-top: 20px solid #182440 !important;
    border-radius: 10px 10px 0 0 !important;
}
.event_page .elementor-widget-banner{
	border: none !important;
    border-top: 20px solid #182440 !important;
    border-radius: 10px 10px 0 0 !important;
}
.event_page .elementor-widget-banner .banner {
    border-radius: 0px 0px 10px 10px !important;
}
.mdp-tab-nav-taber::after {
    content: "\f067";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute;
    right: 20px;
    top: 50%;
    font-size: 25px;
    transform: translate(0%, -50%);
}
.mdp-tab-nav-taber{
	padding-right:42px !important;
}
.mdp-tab-nav-taber.is-active::after {
    display: none;
}
.page-wrapper #header .header-wrapper .et-row-container{
	max-width:1560px;
	margin:auto;
}
.navigation_pagination{
    width: 100%;
    display: inline-block;
    text-align: center;
}
.navigation_pagination_inner{
    display: inline-block;
    padding: 0 45px;
    position: relative;
}
.navigation_pagination_inner .swiper-pagination{
    position: static !important;
    transform: none;
    margin-bottom: 0;;
}
.navigation_pagination_inner .swiper-pagination span.swiper-pagination-bullet {
    margin: 0 5px;
}

.navigation_pagination_inner .swiper-custom-left:before{
    content: "";
    background-image: url('images/arrow_left.png');
    height: 15px;
    width: 10px;
}
.navigation_pagination_inner .swiper-custom-right:before{
    content: "";
    background-image: url('images/arrow_right.png');
    height: 15px;
    width: 10px;
}
 
.middle-inbox.swiper-entry .navigation_pagination_inner .swiper-button-prev{
	left:0 !important;
}
.middle-inbox.swiper-entry .navigation_pagination_inner .swiper-button-next{
	right:0 !important;
}
.slider_custom_arrow  .swiper-button-disabled{
	opacity:0 !important;
}
.swiper-entry:hover .swiper-custom-left{left:calc(-1 * var(--arrow-size,50px) - 35px)}
.swiper-entry:hover .swiper-custom-right{right:calc(-1 * var(--arrow-size,50px) - 35px)}
.swiper-entry .swiper-custom-left,
.swiper-entry:hover .swiper-custom-left{left:0 ;width: auto !important;}
.swiper-entry .swiper-custom-right,
.swiper-entry:hover .swiper-custom-right{right:0;width: auto !important; }
.swiper-entry:hover .swiper-custom-left, .middle-inside .swiper-entry:hover .swiper-button-prev, .middle-inside.swiper-entry:hover .swiper-button-prev{
	left:0 !important;
	width: auto !important;
}
.swiper-entry:hover .swiper-custom-right, .middle-inside .swiper-entry:hover .swiper-button-next, .middle-inside.swiper-entry:hover .swiper-button-next{
	right:0 !important;
	width: auto !important;
}
.slider_custom_arrow .swiper-slide{ padding:0 25px;}
.slider_custom_arrow .swiper-custom-left:before{
	font-family: "Font Awesome 5 Free";
    font-weight: 900;
	content: "\f104";
	font-size:40px;
	color:#628EFC;
}
.slider_custom_arrow .swiper-custom-right:before{
	font-family: "Font Awesome 5 Free";
    font-weight: 900;
	content: "\f105";
	font-size:40px;
	color:#628EFC;
}
@media(max-width: 767px) {
	.portfolio_filter_search{
    	grid-gap: 15px 15px;
	}
	.portfolio_filter{
		padding:10px;
	}
	.portfolio_filter label{
		font-size: 16px;
		margin:0;
	}
	.portfolio_filter select{
		background-size:15px;
	}
}
@media(max-width: 600px) {
	.portfolio_filter_search{
		grid-template-columns: repeat(1, minmax(100px, 1fr));
	}
}